Class | RSS::ImageFaviconModel::Favicon
In: | rss/image.rb
Parent: | Element

### Methods

full_name new required_prefix required_uri to_s

### Included Modules

RSS10 DublinCoreModel

### External Aliases

size= | -> | image_size=
size | -> | image_size

### Public Class methods

new(about=nil, size=nil)

[Source]

    # File rss/image.rb, line 171
          def initialize(about=nil, size=nil)
            super()
            @about = about
            @size = size
          end

required_prefix()

[Source]

    # File rss/image.rb, line 152
            def required_prefix
              IMAGE_PREFIX
            end

required_uri()

[Source]

    # File rss/image.rb, line 156
            def required_uri
              IMAGE_URI
            end

### Public Instance methods

full_name()

[Source]

    # File rss/image.rb, line 177
          def full_name
            tag_name_with_prefix(IMAGE_PREFIX)
          end

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/image.rb, line 181
          def to_s(need_convert=true, indent=calc_indent)
            rv = tag(indent) do |next_indent|
              [
                other_element(false, next_indent),
              ]
            end
            rv = convert(rv) if need_convert
            rv
          end

[Validate]